{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"publicCloud.storage.object.MultipartUpload":{"type":"object","description":"A multipart upload in progress in an S3™ compatible bucket","properties":{"createdAt":{"type":"string","description":"Multipart upload initiation timestamp","nullable":true,"format":"date-time","readOnly":true},"id":{"type":"string","description":"Unique identifier of the multipart upload","readOnly":true},"key":{"type":"string","description":"Object key (path within the bucket)","readOnly":true},"storageClass":{"allOf":[{"$ref":"#/components/schemas/publicCloud.storage.object.StorageClassEnum"}],"description":"Storage class of the object","readOnly":true}}},"publicCloud.storage.object.MultipartUploadCreation":{"type":"object","description":"Request body for initiating a multipart upload in an S3™ compatible bucket","properties":{"key":{"type":"string","description":"Object key (path within the bucket)"},"storageClass":{"allOf":[{"$ref":"#/components/schemas/publicCloud.storage.object.StorageClassEnum"}],"description":"Storage class of the object","nullable":true}},"required":["key"]},"publicCloud.storage.object.MultipartUploadPart":{"type":"object","description":"A part uploaded as portion of a multipart upload in an S3™ compatible bucket","properties":{"etag":{"type":"string","description":"Entity tag (hash of the part content)","readOnly":true},"lastModifiedAt":{"type":"string","description":"Part last modification timestamp","nullable":true,"format":"date-time","readOnly":true},"number":{"type":"integer","description":"Part number","readOnly":true},"size":{"type":"integer","description":"Part size in bytes","readOnly":true}}},"publicCloud.storage.object.MultipartUploadParts":{"type":"object","description":"Parts uploaded for a multipart upload in an S3™ compatible bucket","properties":{"parts":{"type":"array","description":"Array of uploaded parts","items":{"$ref":"#/components/schemas/publicCloud.storage.object.MultipartUploadPart"},"readOnly":true},"storageClass":{"allOf":[{"$ref":"#/components/schemas/publicCloud.storage.object.StorageClassEnum"}],"description":"Storage class of the object","readOnly":true}}},"publicCloud.storage.object.StorageClassEnum":{"type":"string","description":"Available S3™ storage classes","enum":["DEEP_ARCHIVE","GLACIER_IR","HIGH_PERF","STANDARD","STANDARD_IA"]},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload":{"get":{"operationId":"getBucketMultipartUploads","summary":"List multipart uploads","description":"Returns the multipart uploads in progress in the bucket, meaning those not yet completed or aborted.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.storage.object.MultipartUpload"}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BucketDoesNotExist":{"value":{"class":"Client::NotFound::BucketDoesNotExist","message":"S3 bucket not found"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Multipart Upload@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/multipartUpload/get","required":true}],"x-response-identifier":"id","x-expanded-response":"PublicCloudStorageObjectMultipartUpload"},"post":{"operationId":"createBucketMultipartUpload","summary":"Start a multipart upload","description":"Starts uploading a large object in several parts. Returns the upload identifier used by the next calls.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.storage.object.MultipartUploadCreation"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.storage.object.MultipartUpload"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BucketDoesNotExist":{"value":{"class":"Client::NotFound::BucketDoesNotExist","message":"S3 bucket not found"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Multipart Upload@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.storage.object.MultipartUploadCreation\nresult = client.post(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload\",\n\tkey = None, # Object key (path within the bucket) (type: string)\n\tstorageClass = None, # Storage class of the object (type: publicCloud.storage.object.StorageClassEnum, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.storage.object.MultipartUploadCreation\n$result = $ovh->post(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload\", array(\n\tkey => null, // Object key (path within the bucket) (type: string)\n\tstorageClass => null, // Storage class of the object (type: publicCloud.storage.object.StorageClassEnum, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/multipartUpload/create","required":true}]}},"/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload/{id}":{"get":{"operationId":"getBucketMultipartUpload","summary":"Get a multipart upload","description":"Returns the details of a multipart upload in progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"id","description":"Id","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.storage.object.MultipartUpload"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BucketDoesNotExist":{"value":{"class":"Client::NotFound::BucketDoesNotExist","message":"S3 bucket not found"}},"Client::NotFound::ResourceDoesNotExist":{"value":{"class":"Client::NotFound::ResourceDoesNotExist","message":"Resource not found"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Multipart Upload@@@30"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload/{id}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/multipartUpload/{id}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/multipartUpload/get","required":true}],"x-response-identifier":"id"}},"/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload":{"get":{"operationId":"getBucketObjectMultipartUploads","summary":"List object multipart uploads","description":"Returns the multipart uploads in progress for the object.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"key","description":"Key","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.storage.object.MultipartUpload"}}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BucketDoesNotExist":{"value":{"class":"Client::NotFound::BucketDoesNotExist","message":"S3 bucket not found"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Multipart Upload@@@40"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/multipartUpload/get","required":true}],"x-response-identifier":"id","x-expanded-response":"PublicCloudStorageObjectMultipartUpload"}},"/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}":{"delete":{"operationId":"abortBucketObjectMultipartUpload","summary":"Abort a multipart upload","description":"Stops the upload and deletes the parts already uploaded. No object is created.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"id","description":"Id","required":true,"schema":{"type":"string"}},{"in":"path","name":"key","description":"Key","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Multipart Upload@@@70"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/object/multipartUpload/delete","required":true}]},"get":{"operationId":"getBucketObjectMultipartUpload","summary":"Get an object multipart upload","description":"Returns the details of a multipart upload in progress for the object.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"id","description":"Id","required":true,"schema":{"type":"string"}},{"in":"path","name":"key","description":"Key","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.storage.object.MultipartUpload"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BucketDoesNotExist":{"value":{"class":"Client::NotFound::BucketDoesNotExist","message":"S3 bucket not found"}},"Client::NotFound::ResourceDoesNotExist":{"value":{"class":"Client::NotFound::ResourceDoesNotExist","message":"Resource not found"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Multipart Upload@@@50"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/multipartUpload/get","required":true}],"x-response-identifier":"id"}},"/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}/parts":{"get":{"operationId":"getBucketObjectMultipartUploadParts","summary":"List multipart upload parts","description":"Returns the parts already uploaded for a multipart upload.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"bucketName","description":"Bucket name","required":true,"schema":{"type":"string"}},{"in":"path","name":"id","description":"Id","required":true,"schema":{"type":"string"}},{"in":"path","name":"key","description":"Key","required":true,"schema":{"type":"string"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.storage.object.MultipartUploadParts"}}}},"404":{"description":"Error 404 response","content":{"application/json":{"schema":{"type":"object","description":"Common error model","properties":{"class":{"type":"string","description":"Class of the error"},"message":{"type":"string","description":"Error message"}}},"examples":{"Client::NotFound::BucketDoesNotExist":{"value":{"class":"Client::NotFound::BucketDoesNotExist","message":"S3 bucket not found"}},"Client::NotFound::ResourceDoesNotExist":{"value":{"class":"Client::NotFound::ResourceDoesNotExist","message":"Resource not found"}}}}}}},"tags":["Storage","Object"],"x-developer-hub-navigation":[["Public Cloud","Storage","Object Storage","Multipart Upload@@@60"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}/parts\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/storage/object/bucket/{bucketName}/object/{key}/multipartUpload/{id}/parts\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:storage/object/bucket/multipartUpload/get","required":true}]}}},"tags":[{"name":"Storage","x-tag-expanded":false,"description":"Missing description"},{"name":"Object","x-tag-expanded":false,"description":"Missing description"}]}
